# Uses of Class
serp.bytecode.InnerClasses

Packages that use InnerClasses
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of InnerClasses in serp.bytecode

Methods in serp.bytecode that return InnerClasses
Modifier and Type
Method
Description
`InnerClasses`
BCClass.`getInnerClasses(boolean add)`
Return inner classes information for the class.
`InnerClasses`
InnerClass.`getOwner()`
Inner classes are stored in an `InnerClasses` attribute.

## Uses of InnerClasses in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type InnerClasses
Modifier and Type
Method
Description
`void`
BCVisitor.`enterInnerClasses(InnerClasses obj)`
`void`
BCVisitor.`exitInnerClasses(InnerClasses obj)`